require 'watir-webdriver'
require 'page-object'

class Errors
  include PageObject

  h5(:errorHeader, :css => '.validation-summary > h5')

  elements(:errorMsgs, :li, :css => '.validation-summary > ul > li')

  def isThisErrorDisplayed(msgText)
    isDisplayed = false

    errorMsgs_elements.each do |msg|
      #puts "errMsgdisplayed=" + msg.text.strip
      if msg.text.strip == msgText

        isDisplayed = true
        break
      end
    end

    return isDisplayed
  end

end