require 'watir-webdriver'
require 'page-object'

class Filters
  include PageObject

  ####################
  # Filters
  ####################
  button(:filterAccdBttn, :css => '.navbar-left > li > .btn-default')
  button(:graphBttn, :css => '.navbar-right > li > .btn-default')

  text_field(:startDate, :css => '#startDate')
  text_field(:endDate, :css => '#endDate')

  button(:filterBttn, :css => 'button[ng-click="filter()"]')
  button(:resetBttn, :css => 'button[ng-click="reset()"]')



  def getRequiredFieldSympolAndText(fieldName)
    self.class.span(:requiredSympol, :css => 'label[for="' + fieldName + '"] > div span > .required-field')
    self.class.span(:dateLabel, :css => 'label[for="' + fieldName + '"] > div span > span.ng-binding')

    return requiredSympol + dateLabel
  end

end