require 'watir-webdriver'
require 'page-object'

require_relative "common_elements"

class Launchpad < CommonElement
  include PageObject

  link(:mvahLink, :css => 'a[href="/my-va-health"]')
  link(:socLink, :css => 'a[href="/summary-of-care"]')
  link(:mkLink, :css => 'a[href="/mobile-kidney"]')
  h2(:mkiconTitle, :css => 'a[href="/mobile-kidney"] h2')
  span(:mkiconDesc, :css => 'a[href="/mobile-kidney"] span')
  button(:lpaccept, :id => 'accept-btn')
  button(:lpdecline, :id => 'decline-btn')
  link(:logout, :css => 'a[href="../logout"] span' )
  span(:socLoggedIn, :css => '.username-bar-primary > span')


end