require 'watir-webdriver'
require 'page-object'

class Modal
  include PageObject

  button(:ok, :css => 'button[ng-click="ok()"]')
  button(:ok2, :css => 'button[data-ng-click="modalContent.close()"]') #Also known as "NO" button, "RETURN" button
  button(:yes, :css => 'button[data-ng-click="modalContent.ok();"]') #Also known as "CONTINUE" button
  h3(:modalTitle, :css => '.modal-header h3')
  div(:modalBody, :css => '.modal-body')
  h3(:warningModalTitle, :css => '.modal-header h3.ng-binding')
  p(:appNameVersion, :css => '.modal-body p:nth-of-type(1)')
  p(:section1, :css => '.modal-body p:nth-of-type(1)')
  p(:section2, :css => '.modal-body p:nth-of-type(2)')
  p(:section1OnWarning, :css => '.modal-body p p:nth-of-type(1)')
  p(:section2OnWarning, :css => '.modal-body p p:nth-of-type(2)')

  #elements on image modal
  button(:closeImg, :css => 'button[ng-click="close()"]')
  h4(:imgTitle, :css => '.modal-title')

end