define([ 'angular', 'app'], function (angular, app) {
	"use strict";
	app.controller('EulaController', function ($scope, $state, eulaService, pageService, focusService) {
		var unbindWatch = $scope.$watch(function () {
			return $('div.panel-heading h2').is(":visible");
		}, function (isVisible, wasVisible) {
			if (isVisible) {
				focusService.focusElement($('div.panel-heading h2'));
				unbindWatch();
			}
		});

		$scope.acceptClicked = function () {
			eulaService.setAcceptedDate({dateAccepted: new Date().getTime()});
			$state.go('main.auth.home');
		};
		$scope.declineClicked = function () {
			pageService.redirectToLaunchpad();
		};
	});
});