define(['angular', 'app'], function (angular, app) {
	"use strict";

    app.service('TrackersRemindersInstanceService', function (RemindersService, TrackersRemindersConstants) {
		var service = {};

		service.instances = {};

		service.instance = function(key) {
			if (!service.instances[key]) {
				service.instances[key] = new RemindersService(TrackersRemindersConstants[key]);
			}

			return service.instances[key];
		};

		return service;
	});
});