define(['angular', 'app'], function (angular, app) {
	"use strict";

    app.service('TrackersService', function (AbstractTrackersService, TrackersServiceConstants) {
		var TrackersService = {};

		TrackersService.instances = {};

		TrackersService.instance = function (key) {
			if (!TrackersService.instances[key]) {
				TrackersService.instances[key] = new AbstractTrackersService(TrackersServiceConstants[key].extensions);
			}

			return TrackersService.instances[key];
		}

		return TrackersService;
	});
});