define(['angular', 'app', 'moment'], function (angular, app) {
	'use strict';

	app.controller('TrackersNavController', function ($scope, $filter, $state, $stateParams, TrackersService, TrackersConstants, GraphService, focusService, formatter) {

		angular.forEach($state.current.data.paramSections, function(section) {
			if (!section.service) {
				section.service = TrackersService.instance(section.paramValue);
				if (section.service.config.object.supportsLatest && !section.service.latest) {
					section.service.getLatest();
				}
			}
		});
	});
});